package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[平台内置流程状态]
 */
@Component("ionicdemo_WFStatesCodeList")
public class WFStatesCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_WFStates");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("0");
		item0.setId("0");
		item0.setText("未启动");
		item0.setLabel("未启动");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("0",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("1");
		item1.setId("1");
		item1.setText("流程中");
		item1.setLabel("流程中");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("1",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("2");
		item2.setId("2");
		item2.setText("已完成");
		item2.setLabel("已完成");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("2",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("3");
		item3.setId("3");
		item3.setText("已取消");
		item3.setLabel("已取消");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("3",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("31");
		item4.setId("31");
		item4.setText("已取消(人工)");
		item4.setLabel("已取消(人工)");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("31",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("32");
		item5.setId("32");
		item5.setText("已取消(超时)");
		item5.setLabel("已取消(超时)");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("32",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("4");
		item6.setId("4");
		item6.setText("处理故障");
		item6.setLabel("处理故障");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("4",item6);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}